Security Enhanced Linux Reference Policy

# Layer: system

## Module: ipsec

Tunables Interfaces

### Description:

TCP/IP encryption

### Tunables:

racoon_read_shadow

##### Default value

false

##### Description

Allow racoon to read shadow

Return

### Interfaces:

ipsec_admin( domain , role )

##### Summary

All of the rules required to administrate an ipsec environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

ipsec_domtrans( domain )

##### Summary

Execute ipsec in the ipsec domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ipsec_domtrans_mgmt( domain )

##### Summary

Execute ipsec in the ipsec mgmt domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ipsec_domtrans_racoon( domain )

##### Summary

Execute racoon in the racoon domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ipsec_domtrans_setkey( domain )

##### Summary

Execute setkey in the setkey domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ipsec_exec_mgmt( domain )

##### Summary

Execute the IPSEC management program in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ipsec_getattr_key_sockets( domain )

##### Summary

Get the attributes of an IPSEC key socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ipsec_kill_mgmt( domain )

##### Summary

Send ipsec mgmt a kill signal.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ipsec_manage_pid( domain )

##### Summary

Create, read, write, and delete the IPSEC pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ipsec_match_default_spd( domain )

##### Summary

Match the default SPD entry.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ipsec_mgmt_dbus_chat( domain )

##### Summary

Send and receive messages from ipsec-mgmt over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ipsec_read_config( domain )

##### Summary

Read the IPSEC configuration

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ipsec_run_racoon( domain , role )

##### Summary

Execute racoon and allow the specified role the domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

ipsec_run_setkey( domain , role )

##### Summary

Execute setkey and allow the specified role the domains.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access..

ipsec_setcontext_default_spd( domain )

##### Summary

Set the context of a SPD entry to the default context.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ipsec_signal_mgmt( domain )

##### Summary

Send ipsec mgmt a general signal.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ipsec_signull_mgmt( domain )

##### Summary

Send ipsec mgmt a null signal.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ipsec_stream_connect( domain )

##### Summary

Connect to IPSEC using a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ipsec_stream_connect_racoon( domain )

##### Summary

Connect to racoon using a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ipsec_write_pid( domain )

##### Summary

write the ipsec_var_run_t files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return